package dashboard

import (
	"strings"

	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/operation/src/operation"
)

type Portal struct {
	operation.Portal
	placeCreate string `name:"placeCreate city_name* company_name* dashboard_name* dashboard_type:select" role:"void"`
}

func (s Portal) PlaceTrash(m *ice.Message, arg ...string) {
	s.Portal.PlaceTrash(m, arg...)
	for key, _ := range m.Target().Commands {
		if strings.HasPrefix(key, "_") {
			continue
		}
		m.Push("command", key)
	}
}

func init() {
	gonganxitong.PortalCmd(Portal{Portal: operation.NewPortal(userDashboard{}, dashboard{})})
}
